#!/bin/bash
set -o errexit
set -o nounset
set -o pipefail

cd $WORKSPACE
echo "Checking out $BRANCH"
git checkout $BRANCH -q
git pull -q
echo "Commit is"
echo "-------------------------------------------"
git show -s
echo "-------------------------------------------"
echo "Adding new remote $NORDIX_REMOTE for sync"
git remote add nordix $NORDIX_REMOTE
echo "-------------------------------------------"
git remote -v
echo "-------------------------------------------"
echo "Pushing changes to Nordix branch $BRANCH"
git push nordix $BRANCH
